Name: cacti-fritzbox
Version: 1.5.0
Release: 1%{?dist}
Group: Applications/Internet
Summary: Get FRITZ!Box connection and docsis info for cacti 1.x
License: GPLv2+
Source: %{name}-%{version}.tar.gz
Requires: cacti >= 1.2.0, php-soap
BuildArch: noarch

%description
Get FRITZ!Box connection and docsis info for cacti 1.x
Create graphs for throughput and docsis cable connection
FRITZ!OS 7.19 required; docsis tested with FB 6591

%prep
%setup -q

%install
%{__cp} -a . %{buildroot}
%{__install} -d -m 0755 scripts/ %{buildroot}/%{_localstatedir}/lib/cacti/scripts/
%{__mv} %{buildroot}/%{_datadir}/cacti/scripts/ %{buildroot}/%{_localstatedir}/lib/cacti/

%files
%{_datadir}/cacti/install/templates/*
%{_datadir}/cacti/resource/script_server/*
%{_localstatedir}/lib/cacti/scripts/*

%changelog
* Sun Sep 05 2021 Alex Woick <alex@wombaz.de> - 1.5.0-1
- fixed ss_fritzbox.php and fritzbox_api.class.php to support
  FritzOS 7.27 release: redirects to login page are now HTTP 303 redirects
  instead of 403 errors.

* Thu Mar 11 2021 Alex Woick <alex@wombaz.de> - 1.4.0-1
- updated ss_fritzbox.php and fritzbox_api.class.php to support
  FritzOS 7.22 release and docsis 3.1 channels

* Thu Jan 30 2020 Alex Woick <alex@wombaz.de> - 1.3.0-1
- updated ss_fritzbox.php and fritzbox_api.class.php to support
  FritzOS 7.19 beta for new docsis channel table

* Mon Sep 16 2019 Alex Woick <alex@wombaz.de> - 1.2.1-1
- fixed ss_fritzbox.php: data queries always empty since last update

* Fri Jul 12 2019 Alex Woick <alex@wombaz.de> - 1.2.0-1
- renamed ss_fritzbox.php -> ss_fritzbox_waninfo.php
- renamed ss_fritzbox_docsis.php -> ss_fritzbox.php
- added smarthome temperature query to ss_fritzbox.php
- improved behavior in error situations

* Mon Mar 04 2019 Alex Woick <alex@wombaz.de> - 1.1.4-1
- fixed channel sorting on docsis reconnect
- fixed invalid error spikes on docsis reconnect
  (one time I get it right. If not today, then some other day)

* Mon Mar 04 2019 Alex Woick <alex@wombaz.de> - 1.1.3-1
- added command line parameter --debug for saving raw html output to /tmp/fritzbox
- fixed channel sorting on docsis reconnect

* Sun Mar 03 2019 Alex Woick <alex@wombaz.de> - 1.1.2-1
- fixed channel sorting on docsis reconnect

* Thu Feb 21 2019 Alex Woick <alex@wombaz.de> - 1.1.1-1
- fixed handling of $called_by_script_server

* Wed Feb 13 2019 Alex Woick <alex@wombaz.de> - 1.1.0-1
- fixed missing timeout for ss_fritzbox.php (throughput and uptime values)
- include cli_check.php from cacti 1.2.0

* Wed Dec 12 2018 Alex Woick <alex@wombaz.de> - 1.0.11-1
- get TotalBytesSent and TotalBytesReceived again and change data source
  back from GAUGE to COUNTER. Fixed since FritzOS 7
- get uptime via TR-064

* Wed Dec 12 2018 Alex Woick <alex@wombaz.de> - 1.0.10-1
- make mse positive (is negative since FritzOS 7)

* Fri Sep 14 2018 Alex Woick <alex@wombaz.de> - 1.0.9-1
- moved from upnpc to TR-064 with php SoapClient for FRITZ!OS 6.88, since
  TotalBytesSent and TotalBytesReceived are always 0.
  Changed to ByteSendRate and ByteReceiveRate via TR-064 and data source
  from COUNTER to GAUGE.

* Mon Jul 02 2018 Alex Woick <alex@wombaz.de> - 1.0.8-2
- filter non-numeric values in docsis data
- updated *.xml to include modulation

* Tue Feb 06 2018 Alex Woick <alex@wombaz.de> - 1.0.7-2
- cleaned up logging, since cacti logging as of 1.1.34 correctly supports
  suppressed errors via @

* Thu Oct 26 2017 Alex Woick <alex@wombaz.de> - 1.0.6-1
- removed debug logging

* Thu Jun 22 2017 Alex Woick <alex@wombaz.de> - 1.0.5-4
- use freq instead of channelid as channel identifier
- suppress cacti log warning after channel has gone away
- fixed error logging

* Fri Apr 28 2017 Alex Woick <alex@wombaz.de> - 1.0.4-1
- fixed error logging

* Fri Apr 07 2017 Alex Woick <alex@wombaz.de> - 1.0.3-1
- removed debugging stuff

* Sun Mar 19 2017 Alex Woick <alex@wombaz.de> - 1.0.2-4
- initial package
